/*
 * control_symbol.h
 *
 *  Created on: 06.12.2017
 *      Author: balbekova
 */

#ifndef CONTROL_SYMBOL_H_
#define CONTROL_SYMBOL_H_

#include <stdbool.h>

#define in_range_digit(c, lo, up)  	((uint8_t)c >= lo && (uint8_t)c <= up)
#define isdigit_int(c)           	in_range_digit(c, '0', '9')
#define isfloatdigit(c)          	(isdigit_int(c) || in_range_digit(c, '.', '.'))

bool control_string_en_digit(char *str, uint8_t len);


#endif /* CONTROL_SYMBOL_H_ */
