/******************************* (C) LiteMesh **********************************
 * @module  crc
 * @file    crc.h
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   crc
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    kim  First release.
 *******************************************************************************
 */

/* Define to prevent recursive  ----------------------------------------------*/
#ifndef CRC_H
#define CRC_H
   
#include "stm32f4xx.h"

/**
  * @brief  
  */
void CRC_Init(void);
/**
  * @brief Читаем crc из последних 4х байт записанной прошивки
  * @retval 
  */
uint32_t CRC_Read(void);
/**
  * @brief Считаем crc для записанной прошивки
  * @retval 
  */
uint32_t CRC_Calculate(void (* periodic_handler)(uint8_t));

#endif /* #ifndef CRC_H */
/****************************** (C) SWITRON ***************** end of file ****/