/********************************* (C) РОТЕК ***********************************
 * @module  gpio_io
 * @file    gpio_io.h
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   gpio_io
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    Telenkov D.A.  First release.
 *******************************************************************************
 */

/* Define to prevent recursive  ----------------------------------------------*/
#ifndef GPIO_IO_H
#define GPIO_IO_H

#include <stdbool.h>

/**
  * @brief  Выставить пин DB_BOOT0
  */
void IO_SetDbBoot0(void);

/**
  * @brief  Выставить пин DB_BOOT0
  */
void IO_ClearDbBoot0(void);

/**
  * @brief  Установить пин DB_RST  */
void IO_SetDbReset(void);

/**
  * @brief  Сбросить пин DB_RST  */
void IO_ClearDbReset(void);

/**
  * @brief  Получить состояние кнопки DEFAULT
  */
bool IO_BtnDefaultPressed(void);

#endif /* #ifndef GPIO_IO_H */

/********************************* (C) РОТЕК **********************************/
