# WEB Интерфейс для проекта SmartUPS

## Обозначения

wui-* : основной интерфейс

upload: интерфейс загрузчика

## Подготовка к сборке

Для сборки проекта необходим node.js (https://nodejs.org/en/download/).
После установки node.js выполняем след. команды:

`npm install -g grunt-cli`

Находясь в директории проекта выполняем:

`npm install`

ждем окончания загрузки модулей.

## Сборка ручная

Выполняем:

`grunt build`

Выше указанная команда:

- минимизирует CSS файл и сохраняет как `*.min.css`
- минимизирует JS файл и сохраняет как `*.min.js`
- минимизирует HTML файл и сохраняет в `/dist/wui`
- сжимает CSS (`/src/<ui_name>/*.min.css`) в GZIP, переименовывает как `*.css` и кидает в папку `/dist/<ui_name>`
- сжимает JS (`/src/<ui_name>/*.min.js`) в GZIP, переименовывает как `*.js` и кидает в папку `/dist/<ui_name>`


Далее из директории `/dist/<ui_name>` переносим все файлы в папку `/fs` и используем makefsdata для преобразования файлов в `fsdata.c`

------------------------------------------------------------

Для очистки директории `/dist` можно выполнить `grunt clean`
